source: src/tests/preempt_longrun/Makefile.in @ 52a9004

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since 52a9004 was 52a9004, checked in by Thierry Delisle <tdelisle@…>, 7 years ago

Restored foreign strictness to its previous state and removed the u option for ar

  • Property mode set to 100644
File size: 27.5 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = src/tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/configure.ac
96am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97        $(ACLOCAL_M4)
98DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
99mkinstalldirs = $(install_sh) -d
100CONFIG_HEADER = $(top_builddir)/config.h
101CONFIG_CLEAN_FILES =
102CONFIG_CLEAN_VPATH_FILES =
103AM_V_P = $(am__v_P_@AM_V@)
104am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105am__v_P_0 = false
106am__v_P_1 = :
107AM_V_GEN = $(am__v_GEN_@AM_V@)
108am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109am__v_GEN_0 = @echo "  GEN     " $@;
110am__v_GEN_1 =
111AM_V_at = $(am__v_at_@AM_V@)
112am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113am__v_at_0 = @
114am__v_at_1 =
115SOURCES =
116DIST_SOURCES =
117am__can_run_installinfo = \
118  case $$AM_UPDATE_INFO_DIR in \
119    n|no|NO) false;; \
120    *) (install-info --version) >/dev/null 2>&1;; \
121  esac
122am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
123am__tty_colors_dummy = \
124  mgn= red= grn= lgn= blu= brg= std=; \
125  am__color_tests=no
126am__tty_colors = { \
127  $(am__tty_colors_dummy); \
128  if test "X$(AM_COLOR_TESTS)" = Xno; then \
129    am__color_tests=no; \
130  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
131    am__color_tests=yes; \
132  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
133    am__color_tests=yes; \
134  fi; \
135  if test $$am__color_tests = yes; then \
136    red='[0;31m'; \
137    grn='[0;32m'; \
138    lgn='[1;32m'; \
139    blu='[1;34m'; \
140    mgn='[0;35m'; \
141    brg='[1m'; \
142    std='[m'; \
143  fi; \
144}
145am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146am__vpath_adj = case $$p in \
147    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148    *) f=$$p;; \
149  esac;
150am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151am__install_max = 40
152am__nobase_strip_setup = \
153  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154am__nobase_strip = \
155  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156am__nobase_list = $(am__nobase_strip_setup); \
157  for p in $$list; do echo "$$p $$p"; done | \
158  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160    if (++n[$$2] == $(am__install_max)) \
161      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162    END { for (dir in files) print dir, files[dir] }'
163am__base_list = \
164  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166am__uninstall_files_from_dir = { \
167  test -z "$$files" \
168    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170         $(am__cd) "$$dir" && rm -f $$files; }; \
171  }
172am__recheck_rx = ^[     ]*:recheck:[    ]*
173am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
174am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
175# A command that, given a newline-separated list of test names on the
176# standard input, print the name of the tests that are to be re-run
177# upon "make recheck".
178am__list_recheck_tests = $(AWK) '{ \
179  recheck = 1; \
180  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
181    { \
182      if (rc < 0) \
183        { \
184          if ((getline line2 < ($$0 ".log")) < 0) \
185            recheck = 0; \
186          break; \
187        } \
188      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
189        { \
190          recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
194        { \
195          break; \
196        } \
197    }; \
198  if (recheck) \
199    print $$0; \
200  close ($$0 ".trs"); \
201  close ($$0 ".log"); \
202}'
203# A command that, given a newline-separated list of test names on the
204# standard input, create the global log from their .trs and .log files.
205am__create_global_log = $(AWK) ' \
206function fatal(msg) \
207{ \
208  print "fatal: making $@: " msg | "cat >&2"; \
209  exit 1; \
210} \
211function rst_section(header) \
212{ \
213  print header; \
214  len = length(header); \
215  for (i = 1; i <= len; i = i + 1) \
216    printf "="; \
217  printf "\n\n"; \
218} \
219{ \
220  copy_in_global_log = 1; \
221  global_test_result = "RUN"; \
222  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
223    { \
224      if (rc < 0) \
225         fatal("failed to read from " $$0 ".trs"); \
226      if (line ~ /$(am__global_test_result_rx)/) \
227        { \
228          sub("$(am__global_test_result_rx)", "", line); \
229          sub("[        ]*$$", "", line); \
230          global_test_result = line; \
231        } \
232      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
233        copy_in_global_log = 0; \
234    }; \
235  if (copy_in_global_log) \
236    { \
237      rst_section(global_test_result ": " $$0); \
238      while ((rc = (getline line < ($$0 ".log"))) != 0) \
239      { \
240        if (rc < 0) \
241          fatal("failed to read from " $$0 ".log"); \
242        print line; \
243      }; \
244      printf "\n"; \
245    }; \
246  close ($$0 ".trs"); \
247  close ($$0 ".log"); \
248}'
249# Restructured Text title.
250am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
251# Solaris 10 'make', and several other traditional 'make' implementations,
252# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
253# by disabling -e (using the XSI extension "set +e") if it's set.
254am__sh_e_setup = case $$- in *e*) set +e;; esac
255# Default flags passed to test drivers.
256am__common_driver_flags = \
257  --color-tests "$$am__color_tests" \
258  --enable-hard-errors "$$am__enable_hard_errors" \
259  --expect-failure "$$am__expect_failure"
260# To be inserted before the command running the test.  Creates the
261# directory for the log if needed.  Stores in $dir the directory
262# containing $f, in $tst the test, in $log the log.  Executes the
263# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
264# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
265# will run the test scripts (or their associated LOG_COMPILER, if
266# thy have one).
267am__check_pre = \
268$(am__sh_e_setup);                                      \
269$(am__vpath_adj_setup) $(am__vpath_adj)                 \
270$(am__tty_colors);                                      \
271srcdir=$(srcdir); export srcdir;                        \
272case "$@" in                                            \
273  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
274    *) am__odir=.;;                                     \
275esac;                                                   \
276test "x$$am__odir" = x"." || test -d "$$am__odir"       \
277  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
278if test -f "./$$f"; then dir=./;                        \
279elif test -f "$$f"; then dir=;                          \
280else dir="$(srcdir)/"; fi;                              \
281tst=$$dir$$f; log='$@';                                 \
282if test -n '$(DISABLE_HARD_ERRORS)'; then               \
283  am__enable_hard_errors=no;                            \
284else                                                    \
285  am__enable_hard_errors=yes;                           \
286fi;                                                     \
287case " $(XFAIL_TESTS) " in                              \
288  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
289    am__expect_failure=yes;;                            \
290  *)                                                    \
291    am__expect_failure=no;;                             \
292esac;                                                   \
293$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
294# A shell command to get the names of the tests scripts with any registered
295# extension removed (i.e., equivalently, the names of the test logs, with
296# the '.log' extension removed).  The result is saved in the shell variable
297# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
298# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
299# since that might cause problem with VPATH rewrites for suffix-less tests.
300# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
301am__set_TESTS_bases = \
302  bases='$(TEST_LOGS)'; \
303  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
304  bases=`echo $$bases`
305RECHECK_LOGS = $(TEST_LOGS)
306AM_RECURSIVE_TARGETS = check recheck
307TEST_SUITE_LOG = test-suite.log
308TEST_EXTENSIONS = @EXEEXT@ .test
309LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
310LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
311am__set_b = \
312  case '$@' in \
313    */*) \
314      case '$*' in \
315        */*) b='$*';; \
316          *) b=`echo '$@' | sed 's/\.log$$//'`; \
317       esac;; \
318    *) \
319      b='$*';; \
320  esac
321am__test_logs1 = $(TESTS:=.log)
322am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
323TEST_LOGS = $(am__test_logs2:.test.log=.log)
324TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
325TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
326        $(TEST_LOG_FLAGS)
327am__DIST_COMMON = $(srcdir)/Makefile.in \
328        $(top_srcdir)/automake/test-driver
329DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
330ACLOCAL = @ACLOCAL@
331ALLOCA = @ALLOCA@
332AMTAR = @AMTAR@
333AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
334AUTOCONF = @AUTOCONF@
335AUTOHEADER = @AUTOHEADER@
336AUTOMAKE = @AUTOMAKE@
337AWK = @AWK@
338BACKEND_CC = @BACKEND_CC@
339CC = @CFA_BINDIR@/@CFA_NAME@
340CCAS = @CCAS@
341CCASDEPMODE = @CCASDEPMODE@
342CCASFLAGS = @CCASFLAGS@
343CCDEPMODE = @CCDEPMODE@
344CFA_BACKEND_CC = @CFA_BACKEND_CC@
345CFA_BINDIR = @CFA_BINDIR@
346CFA_FLAGS = @CFA_FLAGS@
347CFA_INCDIR = @CFA_INCDIR@
348CFA_LIBDIR = @CFA_LIBDIR@
349CFA_NAME = @CFA_NAME@
350CFA_PREFIX = @CFA_PREFIX@
351CFLAGS = ${BUILD_FLAGS}
352CPP = @CPP@
353CPPFLAGS = @CPPFLAGS@
354CXX = @CXX@
355CXXDEPMODE = @CXXDEPMODE@
356CXXFLAGS = @CXXFLAGS@
357CYGPATH_W = @CYGPATH_W@
358DEFS = @DEFS@
359DEPDIR = @DEPDIR@
360ECHO_C = @ECHO_C@
361ECHO_N = @ECHO_N@
362ECHO_T = @ECHO_T@
363EGREP = @EGREP@
364EXEEXT = @EXEEXT@
365GREP = @GREP@
366INSTALL = @INSTALL@
367INSTALL_DATA = @INSTALL_DATA@
368INSTALL_PROGRAM = @INSTALL_PROGRAM@
369INSTALL_SCRIPT = @INSTALL_SCRIPT@
370INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
371LDFLAGS = @LDFLAGS@
372LEX = @LEX@
373LEXLIB = @LEXLIB@
374LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
375LIBOBJS = @LIBOBJS@
376LIBS = @LIBS@
377LTLIBOBJS = @LTLIBOBJS@
378MACHINE_TYPE = @MACHINE_TYPE@
379MAINT = @MAINT@
380MAKEINFO = @MAKEINFO@
381MKDIR_P = @MKDIR_P@
382OBJEXT = @OBJEXT@
383PACKAGE = @PACKAGE@
384PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
385PACKAGE_NAME = @PACKAGE_NAME@
386PACKAGE_STRING = @PACKAGE_STRING@
387PACKAGE_TARNAME = @PACKAGE_TARNAME@
388PACKAGE_URL = @PACKAGE_URL@
389PACKAGE_VERSION = @PACKAGE_VERSION@
390PATH_SEPARATOR = @PATH_SEPARATOR@
391RANLIB = @RANLIB@
392SET_MAKE = @SET_MAKE@
393SHELL = @SHELL@
394STRIP = @STRIP@
395VERSION = @VERSION@
396YACC = @YACC@
397YFLAGS = @YFLAGS@
398abs_builddir = @abs_builddir@
399abs_srcdir = @abs_srcdir@
400abs_top_builddir = @abs_top_builddir@
401abs_top_srcdir = @abs_top_srcdir@
402ac_ct_CC = @ac_ct_CC@
403ac_ct_CXX = @ac_ct_CXX@
404am__include = @am__include@
405am__leading_dot = @am__leading_dot@
406am__quote = @am__quote@
407am__tar = @am__tar@
408am__untar = @am__untar@
409bindir = @bindir@
410build = @build@
411build_alias = @build_alias@
412build_cpu = @build_cpu@
413build_os = @build_os@
414build_vendor = @build_vendor@
415builddir = @builddir@
416datadir = @datadir@
417datarootdir = @datarootdir@
418docdir = @docdir@
419dvidir = @dvidir@
420exec_prefix = @exec_prefix@
421host = @host@
422host_alias = @host_alias@
423host_cpu = @host_cpu@
424host_os = @host_os@
425host_vendor = @host_vendor@
426htmldir = @htmldir@
427includedir = @includedir@
428infodir = @infodir@
429install_sh = @install_sh@
430libdir = @libdir@
431libexecdir = @libexecdir@
432localedir = @localedir@
433localstatedir = @localstatedir@
434mandir = @mandir@
435mkdir_p = @mkdir_p@
436oldincludedir = @oldincludedir@
437pdfdir = @pdfdir@
438prefix = @prefix@
439program_transform_name = @program_transform_name@
440psdir = @psdir@
441runstatedir = @runstatedir@
442sbindir = @sbindir@
443sharedstatedir = @sharedstatedir@
444srcdir = @srcdir@
445sysconfdir = @sysconfdir@
446target_alias = @target_alias@
447top_build_prefix = @top_build_prefix@
448top_builddir = @top_builddir@
449top_srcdir = @top_srcdir@
450repeats = 10
451max_time = 30
452preempt = 10_000ul
453REPEAT = ${abs_top_srcdir}/tools/repeat -s
454BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -debug -O2 -DPREEMPTION_RATE=${preempt}
455TESTS = barge block create disjoint processor stack wait yield
456all: all-am
457
458.SUFFIXES:
459.SUFFIXES: .log .test .test$(EXEEXT) .trs
460$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
461        @for dep in $?; do \
462          case '$(am__configure_deps)' in \
463            *$$dep*) \
464              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
465                && { if test -f $@; then exit 0; else break; fi; }; \
466              exit 1;; \
467          esac; \
468        done; \
469        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/tests/preempt_longrun/Makefile'; \
470        $(am__cd) $(top_srcdir) && \
471          $(AUTOMAKE) --foreign src/tests/preempt_longrun/Makefile
472Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
473        @case '$?' in \
474          *config.status*) \
475            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
476          *) \
477            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
478            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
479        esac;
480
481$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
482        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
483
484$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
485        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
486$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
487        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
488$(am__aclocal_m4_deps):
489tags TAGS:
490
491ctags CTAGS:
492
493cscope cscopelist:
494
495
496# Recover from deleted '.trs' file; this should ensure that
497# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
498# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
499# to avoid problems with "make -n".
500.log.trs:
501        rm -f $< $@
502        $(MAKE) $(AM_MAKEFLAGS) $<
503
504# Leading 'am--fnord' is there to ensure the list of targets does not
505# expand to empty, as could happen e.g. with make check TESTS=''.
506am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
507am--force-recheck:
508        @:
509
510$(TEST_SUITE_LOG): $(TEST_LOGS)
511        @$(am__set_TESTS_bases); \
512        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
513        redo_bases=`for i in $$bases; do \
514                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
515                    done`; \
516        if test -n "$$redo_bases"; then \
517          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
518          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
519          if $(am__make_dryrun); then :; else \
520            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
521          fi; \
522        fi; \
523        if test -n "$$am__remaking_logs"; then \
524          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
525               "recursion detected" >&2; \
526        elif test -n "$$redo_logs"; then \
527          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
528        fi; \
529        if $(am__make_dryrun); then :; else \
530          st=0;  \
531          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
532          for i in $$redo_bases; do \
533            test -f $$i.trs && test -r $$i.trs \
534              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
535            test -f $$i.log && test -r $$i.log \
536              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
537          done; \
538          test $$st -eq 0 || exit 1; \
539        fi
540        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
541        ws='[   ]'; \
542        results=`for b in $$bases; do echo $$b.trs; done`; \
543        test -n "$$results" || results=/dev/null; \
544        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
545        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
546        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
547        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
548        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
549        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
550        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
551        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
552          success=true; \
553        else \
554          success=false; \
555        fi; \
556        br='==================='; br=$$br$$br$$br$$br; \
557        result_count () \
558        { \
559            if test x"$$1" = x"--maybe-color"; then \
560              maybe_colorize=yes; \
561            elif test x"$$1" = x"--no-color"; then \
562              maybe_colorize=no; \
563            else \
564              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
565            fi; \
566            shift; \
567            desc=$$1 count=$$2; \
568            if test $$maybe_colorize = yes && test $$count -gt 0; then \
569              color_start=$$3 color_end=$$std; \
570            else \
571              color_start= color_end=; \
572            fi; \
573            echo "$${color_start}# $$desc $$count$${color_end}"; \
574        }; \
575        create_testsuite_report () \
576        { \
577          result_count $$1 "TOTAL:" $$all   "$$brg"; \
578          result_count $$1 "PASS: " $$pass  "$$grn"; \
579          result_count $$1 "SKIP: " $$skip  "$$blu"; \
580          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
581          result_count $$1 "FAIL: " $$fail  "$$red"; \
582          result_count $$1 "XPASS:" $$xpass "$$red"; \
583          result_count $$1 "ERROR:" $$error "$$mgn"; \
584        }; \
585        {                                                               \
586          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
587            $(am__rst_title);                                           \
588          create_testsuite_report --no-color;                           \
589          echo;                                                         \
590          echo ".. contents:: :depth: 2";                               \
591          echo;                                                         \
592          for b in $$bases; do echo $$b; done                           \
593            | $(am__create_global_log);                                 \
594        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
595        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
596        if $$success; then                                              \
597          col="$$grn";                                                  \
598         else                                                           \
599          col="$$red";                                                  \
600          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
601        fi;                                                             \
602        echo "$${col}$$br$${std}";                                      \
603        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
604        echo "$${col}$$br$${std}";                                      \
605        create_testsuite_report --maybe-color;                          \
606        echo "$$col$$br$$std";                                          \
607        if $$success; then :; else                                      \
608          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
609          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
610            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
611          fi;                                                           \
612          echo "$$col$$br$$std";                                        \
613        fi;                                                             \
614        $$success || exit 1
615
616check-TESTS:
617        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
618        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
619        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
620        @set +e; $(am__set_TESTS_bases); \
621        log_list=`for i in $$bases; do echo $$i.log; done`; \
622        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
623        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
624        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
625        exit $$?;
626recheck: all
627        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
628        @set +e; $(am__set_TESTS_bases); \
629        bases=`for i in $$bases; do echo $$i; done \
630                 | $(am__list_recheck_tests)` || exit 1; \
631        log_list=`for i in $$bases; do echo $$i.log; done`; \
632        log_list=`echo $$log_list`; \
633        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
634                am__force_recheck=am--force-recheck \
635                TEST_LOGS="$$log_list"; \
636        exit $$?
637barge.log: barge
638        @p='barge'; \
639        b='barge'; \
640        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
641        --log-file $$b.log --trs-file $$b.trs \
642        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
643        "$$tst" $(AM_TESTS_FD_REDIRECT)
644block.log: block
645        @p='block'; \
646        b='block'; \
647        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
648        --log-file $$b.log --trs-file $$b.trs \
649        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
650        "$$tst" $(AM_TESTS_FD_REDIRECT)
651create.log: create
652        @p='create'; \
653        b='create'; \
654        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
655        --log-file $$b.log --trs-file $$b.trs \
656        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
657        "$$tst" $(AM_TESTS_FD_REDIRECT)
658disjoint.log: disjoint
659        @p='disjoint'; \
660        b='disjoint'; \
661        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
662        --log-file $$b.log --trs-file $$b.trs \
663        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
664        "$$tst" $(AM_TESTS_FD_REDIRECT)
665processor.log: processor
666        @p='processor'; \
667        b='processor'; \
668        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
669        --log-file $$b.log --trs-file $$b.trs \
670        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
671        "$$tst" $(AM_TESTS_FD_REDIRECT)
672stack.log: stack
673        @p='stack'; \
674        b='stack'; \
675        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
676        --log-file $$b.log --trs-file $$b.trs \
677        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
678        "$$tst" $(AM_TESTS_FD_REDIRECT)
679wait.log: wait
680        @p='wait'; \
681        b='wait'; \
682        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
683        --log-file $$b.log --trs-file $$b.trs \
684        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
685        "$$tst" $(AM_TESTS_FD_REDIRECT)
686yield.log: yield
687        @p='yield'; \
688        b='yield'; \
689        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
690        --log-file $$b.log --trs-file $$b.trs \
691        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
692        "$$tst" $(AM_TESTS_FD_REDIRECT)
693.test.log:
694        @p='$<'; \
695        $(am__set_b); \
696        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
697        --log-file $$b.log --trs-file $$b.trs \
698        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
699        "$$tst" $(AM_TESTS_FD_REDIRECT)
700@am__EXEEXT_TRUE@.test$(EXEEXT).log:
701@am__EXEEXT_TRUE@       @p='$<'; \
702@am__EXEEXT_TRUE@       $(am__set_b); \
703@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
704@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
705@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
706@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
707
708distdir: $(DISTFILES)
709        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
710        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
711        list='$(DISTFILES)'; \
712          dist_files=`for file in $$list; do echo $$file; done | \
713          sed -e "s|^$$srcdirstrip/||;t" \
714              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
715        case $$dist_files in \
716          */*) $(MKDIR_P) `echo "$$dist_files" | \
717                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
718                           sort -u` ;; \
719        esac; \
720        for file in $$dist_files; do \
721          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
722          if test -d $$d/$$file; then \
723            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
724            if test -d "$(distdir)/$$file"; then \
725              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
726            fi; \
727            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
728              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
729              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
730            fi; \
731            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
732          else \
733            test -f "$(distdir)/$$file" \
734            || cp -p $$d/$$file "$(distdir)/$$file" \
735            || exit 1; \
736          fi; \
737        done
738check-am: all-am
739        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
740check: check-am
741all-am: Makefile all-local
742installdirs:
743install: install-am
744install-exec: install-exec-am
745install-data: install-data-am
746uninstall: uninstall-am
747
748install-am: all-am
749        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
750
751installcheck: installcheck-am
752install-strip:
753        if test -z '$(STRIP)'; then \
754          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
755            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
756              install; \
757        else \
758          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
759            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
760            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
761        fi
762mostlyclean-generic:
763        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
764        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
765        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
766
767clean-generic:
768
769distclean-generic:
770        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
771        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
772
773maintainer-clean-generic:
774        @echo "This command is intended for maintainers to use"
775        @echo "it deletes files that may require special tools to rebuild."
776clean: clean-am
777
778clean-am: clean-generic mostlyclean-am
779
780distclean: distclean-am
781        -rm -f Makefile
782distclean-am: clean-am distclean-generic
783
784dvi: dvi-am
785
786dvi-am:
787
788html: html-am
789
790html-am:
791
792info: info-am
793
794info-am:
795
796install-data-am:
797
798install-dvi: install-dvi-am
799
800install-dvi-am:
801
802install-exec-am:
803
804install-html: install-html-am
805
806install-html-am:
807
808install-info: install-info-am
809
810install-info-am:
811
812install-man:
813
814install-pdf: install-pdf-am
815
816install-pdf-am:
817
818install-ps: install-ps-am
819
820install-ps-am:
821
822installcheck-am:
823
824maintainer-clean: maintainer-clean-am
825        -rm -f Makefile
826maintainer-clean-am: distclean-am maintainer-clean-generic
827
828mostlyclean: mostlyclean-am
829
830mostlyclean-am: mostlyclean-generic
831
832pdf: pdf-am
833
834pdf-am:
835
836ps: ps-am
837
838ps-am:
839
840uninstall-am:
841
842.MAKE: check-am install-am install-strip
843
844.PHONY: all all-am all-local check check-TESTS check-am clean \
845        clean-generic cscopelist-am ctags-am distclean \
846        distclean-generic distdir dvi dvi-am html html-am info info-am \
847        install install-am install-data install-data-am install-dvi \
848        install-dvi-am install-exec install-exec-am install-html \
849        install-html-am install-info install-info-am install-man \
850        install-pdf install-pdf-am install-ps install-ps-am \
851        install-strip installcheck installcheck-am installdirs \
852        maintainer-clean maintainer-clean-generic mostlyclean \
853        mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
854        uninstall uninstall-am
855
856.PRECIOUS: Makefile
857
858
859.INTERMEDIATE: ${TESTS}
860
861all-local: ${TESTS:=.run}
862
863% : %.c ${CC}
864        ${AM_V_GEN}${CC} ${CFLAGS} ${<} -o ${@}
865
866%.run : %
867        @ time ${REPEAT} $(repeats) timeout ${max_time} ./${<}
868        @ rm ${<}
869        @ echo -e "${<}: SUCCESS\n"
870
871# Tell versions [3.59,3.63) of GNU make to not export all variables.
872# Otherwise a system limit (for SysV at least) may be exceeded.
873.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.